export interface BaseProps {
    id: string;
    lastUpdateDate: Date;
}
export declare abstract class Entity<T extends BaseProps> {
    private readonly _id;
    private _lastUpdateDate;
    constructor({ id, lastUpdateDate }: T);
    get id(): string;
    get lastUpdateDate(): Date;
    set lastUpdateDate(lastUpdateDate: Date);
    abstract toObject(): unknown;
}
